API documentation
List Wallet Trade Transactions
get
/api/v1/Wallet/trade-transactionsReturns trade transactions for a portfolio account in a date window. The caller must own the account, or the account must be a public investment programme.
Wallet
Parameters
accountId
query · integer
Required
fromDate
query · string
Required
toDate
query · string
Required
pageSize
query · integer
Optional
version
path · string
Required
Responses
- 200Trade transactions for the account, newest first.
- 404Account was not found or is not visible to the caller.application/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" }